Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.core.services.databinding.mapping
Class MappingDomainModelReferenceConverter_Test

    java.lang.Object
      org.eclipse.emfforms.internal.core.services.databinding.mapping.MappingDomainModelReferenceConverter_Test

    public class MappingDomainModelReferenceConverter_Test

extends Object

JUnit test cases for `MappingDomainModelReferenceConverter`.

Author:
  Lucas Koehler

Constructor Summary
`MappingDomainModelReferenceConverter_Test()`

Method Summary
`void` | `setUp()` Creates a new `MappingDomainModelReferenceConverter` for every test case
`static void` | `setupClass()`
`void` | `testConvertToListProperty()` Test method for `MappingDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .
`void` | `testConvertToListPropertyNoFeature()` Test method for `MappingDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .
`void` | `testConvertToListPropertyNoReferencePath()` Test method for `MappingDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .
`void` | `testConvertToListPropertyWrongMapType()` Test method for `MappingDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .
`void` | `testConvertToListPropertyWrongReference()` Test method for `MappingDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .
`void` | `testConvertToValueProperty()` Test method for `MappingDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .
`void` | `testConvertToValuePropertyNoFeature()` Test method for `MappingDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .
`void` | `testConvertToValuePropertyNoReferencePaths()` Test method for `MappingDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .
`void` | `testConvertToValuePropertyWrongMapType()` Test method for `MappingDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .
`void` | `testConvertToValuePropertyWrongReference()` Test method for `MappingDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .
`void` | `testIsApplicable()` Test method for `MappingDomainModelReferenceConverter.isApplicable(VDomainModelReference)` .

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappingDomainModelReferenceConverter_Test

    public MappingDomainModelReferenceConverter_Test()

Method Detail

### setupClass

    public static void setupClass()

### setUp

    public void setUp()

  Creates a new `MappingDomainModelReferenceConverter` for every test case

### testIsApplicable

    public void testIsApplicable()

  Test method for `MappingDomainModelReferenceConverter.isApplicable(VDomainModelReference)` .

### testConvertToValueProperty

    public void testConvertToValueProperty()
                                    throws DatabindingFailedException

  Test method for `MappingDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testConvertToValuePropertyNoReferencePaths

    public void testConvertToValuePropertyNoReferencePaths()
                                                    throws DatabindingFailedException

  Test method for `MappingDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testConvertToValuePropertyWrongMapType

    public void testConvertToValuePropertyWrongMapType()
                                                throws DatabindingFailedException

  Test method for `MappingDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testConvertToValuePropertyWrongReference

    public void testConvertToValuePropertyWrongReference()
                                                  throws DatabindingFailedException

  Test method for `MappingDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testConvertToValuePropertyNoFeature

    public void testConvertToValuePropertyNoFeature()
                                             throws DatabindingFailedException

  Test method for `MappingDomainModelReferenceConverter.convertToValueProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testConvertToListProperty

    public void testConvertToListProperty()
                                   throws DatabindingFailedException

  Test method for `MappingDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testConvertToListPropertyNoReferencePath

    public void testConvertToListPropertyNoReferencePath()
                                                  throws DatabindingFailedException

  Test method for `MappingDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testConvertToListPropertyWrongMapType

    public void testConvertToListPropertyWrongMapType()
                                               throws DatabindingFailedException

  Test method for `MappingDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testConvertToListPropertyWrongReference

    public void testConvertToListPropertyWrongReference()
                                                 throws DatabindingFailedException

  Test method for `MappingDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

### testConvertToListPropertyNoFeature

    public void testConvertToListPropertyNoFeature()
                                            throws DatabindingFailedException

  Test method for `MappingDomainModelReferenceConverter.convertToListProperty(VDomainModelReference,EObject)` .

  Throws:
    `DatabindingFailedException` - if the databinding failed

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.